Get visibility by platform
curl --request GET \
--url https://services.deepsmith.ai/core/api/external/v1/visibility/platforms \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.deepsmith.ai/core/api/external/v1/visibility/platforms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.deepsmith.ai/core/api/external/v1/visibility/platforms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"messages": "<string>",
"data": {
"range": "30d",
"platforms": [
{
"platform": "chatgpt",
"snapshots": 123,
"mention_rate": 123,
"citation_rate": 123
}
]
}
}{
"code": 4022,
"messages": "Invalid, revoked or expired API key.",
"data": null
}{
"code": 4023,
"messages": "This API key does not have the scope required for this request.",
"data": {
"required": [
"visibility:read"
],
"missing": [
"visibility:read"
]
}
}AI visibility
Get visibility by platform
One row per AI platform your plan collects from. Requires visibility:read.
GET
/
visibility
/
platforms
Get visibility by platform
Authorizations
bearerAuthapiKeyHeader
Your API key: Authorization: Bearer API Key Value
Query Parameters
The period to report on. The previous period of the same length is returned for comparison.
Available options:
7d, 30d, 90d